<?php
if (!defined('HUCART_COM')) exit('HuCart.COM No direct script access allowed');
class Book extends HC_Controller
{
	//注意无须构造函数,使用了构造函数得重构父类 parent::__construct();
	private $master_act  = 'book';
	private $info_prefix = 'boo_';
	function __construct()
	{
		parent::__construct();
		$this -> load_lang('adminsys/'.$this -> master_act);
		$this -> view -> assign('master_act', $this -> master_act);
		$this -> view -> assign('info_prefix',	$this -> info_prefix);
		$this -> load('admin');
		$this -> admin -> online_admin();
		$this -> load_db();
		$this -> load('helper');     //加载辅助类
		$this -> load_model('sort'); //加载分类模型
	}


	function info_list(  )
	{
		$keyword 	= $this -> input -> req["keyword"];
		$list_val   = $this -> input -> req["list_val"];
		$list_type  = $this -> input -> req["list_type"];

		$table_arr['where_add'] = '';

		if($keyword!='')
		{ 	
			$table_arr['where_add'] .= " AND ( boo_name LIKE  '%".$keyword."%' )";  
		}

		$table_arr['order_by']  = 'boo_id';
		if($list_val!='' and $list_type =='DESC' )
		{
			$table_arr['order_by'] = $list_val ." DESC ";
		}elseif($list_val!='' and $list_type =='ASC')
		{
			$table_arr['order_by'] = $list_val." ASC";
		}else{
			$table_arr['order_by'] =  'boo_id';
		}

		$this -> load('page',$this->lang['page']);

		//列表字段显示
		$show_arr = array('boo_id' => array('th'=>1,'td'=>'id'),'use_name'=>array('th'=>1,'td'=>''),'boo_type'=>array('th'=>1,'td'=>'arr'),'boo_product'=> array('th'=>0,'td'=>''),'boo_mobile'=> array('th'=>1,'td'=>''),'boo_email'=> array('th'=>1,'td'=>''),'boo_add_time'=> array('th'=>1,'td'=>'time'),'boo_status'=> array('th'=>1,'td'=>'arr'),'boo_enabled'=>array('th'=>1,'td'=>'arr') );
		
		$field_show = $this -> helper -> get_th_list( $show_arr , $list_val , $list_type ,  $this->lang['field_list'] );

		$table_arr['table']		= $this -> master_act;
		$table_arr['left']['table'] 	= 'users';
		$table_arr['left']['on']		= $this -> db -> prefix.$this -> master_act.'.use_id = '.$this -> db -> prefix.'users.use_id ';
		
		$table_arr['prefix'] 	= $this -> db -> prefix;
		$table_arr['field_arr'] = array_keys($show_arr);
		$table_arr['def_where'] = ' 1 ';
		$table_arr['group_by']  = '';
		$table_arr['limit_val'] = $this -> page ->get_limit_val();
		
		$re_sql   = $this -> helper -> get_list_sql( $table_arr );
		
		$info 	  = $this -> db -> select_info( $re_sql['sql_list'] );
		
		$key_arr['boo_enabled'] = $this->lang['enabled_arr'];
		$key_arr['boo_type'] 	= $this->lang['boo_type_arr'];
		$key_arr['boo_status']  = $this->lang['boo_status_arr'];
		
		$opt = array( 'delete'=> $this->lang['delete'] );

		$td_rows  = $this -> helper -> get_td_list( $info , $show_arr ,$key_arr , $this -> master_act, $opt );
		
		$count 	  = $this -> db -> select_one( $re_sql['sql_count'] );

		$page_str = $this -> page ->get_admin_page( $count["CNUM"] );
		
		$this -> view -> assign('keyword',		$keyword);

		$this -> view -> assign('list_val',		$list_val);
		$this -> view -> assign('list_type',	$list_type);
		
		$this -> view -> assign('colspan_val',	count($show_arr)+1);
		$this -> view -> assign('field_show',	$field_show);
		$this -> view -> assign('page_str',		$page_str);
		$this -> view -> assign('td_rows',		$td_rows);


		$this -> view -> display('book_list.tpl');


	}
	
	

 

	function delete( )
	{
		$info_id   = $this -> input ->  get["id"];
		$insert_ip = " DELETE FROM `".$this -> db -> prefix.$this -> master_act."` WHERE `boo_id` in ( $info_id ) ";

		$this -> db -> query_sql($insert_ip);
		$this -> view ->  assign('info_title',$this->lang['del_success']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	
	function show( )
	{
		$info_id = $this -> input ->  get["id"];
		$upshow = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET boo_school = 1  WHERE `boo_id` in ( $info_id ) ";

		$this -> db -> query_sql($upshow);
		$this -> view ->  assign('info_title',$_LANG['bd_showsusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	function hide( )
	{
		//$indel = implode(',', $delArray);
		$info_id = $this -> input ->  get["id"];
		
		$up_hide = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET boo_school = 0  WHERE  `boo_id` in ( $info_id ) ";
		$this -> db -> query_sql($up_hide);
		
		$this -> view ->  assign('info_title',$_LANG['bd_hidesusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}



	
	function info(  )
	{
		$act_type 	= $this -> input -> get["act_type"];
		
		if($act_type=='edit'){
			
			$id_val = $this -> input ->  get["id"];

			$sql_query = " SELECT *  FROM  ".$this -> db -> prefix.$this -> master_act."  WHERE boo_id = '".$id_val."' ORDER BY `boo_id` ";
			$info = $this -> db -> select_one($sql_query);
			
			$resume_ckeditorLoad 	= $this -> helper -> load_ckeditor( 'boo_resume' ,$info['boo_resume'],'Basic');//加载文本编辑器
			$this -> view -> assign( 'resume_ckeditorLoad', $resume_ckeditorLoad);
			
			$this -> view -> assign('txt_title',  $this->lang['edit_title']);
			$this -> view -> assign('edit_submit', $this->lang['edit']);
			$this -> view -> assign('info',$info);
			$this -> view -> assign('act_type',$act_type);
			$this -> view -> assign('sort_select_str',$sort_select_str);
			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_info&act_type=edit");
			
			
		}else{

			$resume_ckeditorLoad 	= $this -> helper -> load_ckeditor( 'boo_resume' ,'','Basic');//加载文本编辑器
			$this -> view -> assign( 'resume_ckeditorLoad', $resume_ckeditorLoad);

			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_info&act_type=add");
			
			$this -> view -> assign('act_type',$act_type);
			$this -> view -> assign('txt_title',$this->lang['add_title']);
			$this -> view -> assign('edit_submit', $this-> lang['add']);
			
		}

		$this -> view ->  display('book_edit.tpl');
	
	}
	
	
	function edit_info( )
	{	
	
		$boo_id 			= $this -> input ->  funpost("boo_id");
		$boo_name 			= $this -> input ->  funpost("boo_name");
		$boo_url 			= $this -> input ->  funpost("boo_url");
		$boo_logo 			= $this -> input ->  funpost("boo_logo");
		$boo_list 			= $this -> input ->  funpost("boo_list");

		$boo_enabled 		= $this -> input ->  funpost("boo_enabled");
 

		
		$act_type = $this -> input ->  req["act_type"];


		
		if($act_type=='edit')
		{

		
			if($boo_name !='' and  $boo_url !='' and $boo_id !='')
			{
				$update = "UPDATE `".$this -> db -> prefix.$this -> master_act."` SET  boo_name = '".$boo_name."' , boo_url = '".$boo_url."' , boo_logo = '".$boo_logo."' , boo_enabled = '".$boo_enabled."', boo_list = '".$boo_list."' WHERE  boo_id = '".$boo_id."' ";
				
				
				$this -> db -> query_sql( $update );
				
				$this -> view ->  assign('info_title',$this->lang['edit_success']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
				$this -> view ->  display('suggestion.tpl');
	
		
			}else{
			
				$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&id=".$boo_id);
				$this -> view ->  display('suggestion.tpl');	
			}
		

		}else{
			
				if($boo_name !='' and  $boo_url !='')
				{
					$sql_query = " SELECT count(1) as LNUM  FROM  ".$this -> db -> prefix.$this -> master_act."  WHERE boo_name = '".$boo_name."' ORDER BY `boo_id` ";
					$info = $this -> db -> select_one($sql_query);


					if( $info["LNUM"] < 1 )
					{
 
						
						$insert_sql =" INSERT INTO `".$this -> db -> prefix.$this -> master_act."` (
						`boo_name` ,`boo_url` , `boo_logo` , `boo_list`,`boo_enabled` ) 
						VALUES ( '$boo_name','$boo_url','$boo_logo','$boo_list','$boo_enabled')";
						
						$this -> db -> query_sql($insert_sql);
						$this -> view ->  assign('info_title',$this->lang['add_success']);
						$this -> view ->  assign('URL_TIME',URL_TIME);
						$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
						$this -> view ->  display('suggestion.tpl');	
					}else{
						
						$this -> view ->  assign('info_title',$this->lang['err_info_exist']);
						$this -> view ->  assign('URL_TIME',URL_TIME);
						$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=add");
						$this -> view ->  display('suggestion.tpl');	
					}
					
				}else{
					
					$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
					$this -> view ->  assign('URL_TIME',URL_TIME);
					$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=add");
					$this -> view ->  display('suggestion.tpl');
				}
		}
		
	}




		
}